# newgrf_railtype.h File Reference

NewGRF handling of rail types. More...

`#include "rail.h"`
`#include "newgrf_commons.h"`

Go to the source code of this file.

## Functions
SpriteID | GetCustomRailSprite (const RailtypeInfo *rti, TileIndex tile, RailTypeSpriteGroup rtsg, TileContext context=TCX_NORMAL)
uint8 | GetReverseRailTypeTranslation (RailType railtype, const GRFFile *grffile)

## Detailed Description

NewGRF handling of rail types.

Definition in file newgrf_railtype.h.